Cloud Service Role Instances - Get Remote Desktop File
Gets a remote desktop file for a role instance in a cloud service.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Compute/cloudServices/{cloudServiceName}/roleInstances/{roleInstanceName}/remoteDesktopFile?api-version=2024-11-04
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
cloud
|
path | True |
string |
Name of the cloud service. |
|
resource
|
path | True |
string |
Name of the resource group. |
|
role
|
path | True |
string |
Name of the role instance. |
|
subscription
|
path | True |
string |
Subscription credentials which uniquely identify Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string |
Client Api Version. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
file |
OK Media Types: "application/x-rdp" |
| Other Status Codes |
Error Media Types: "application/x-rdp" |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get Cloud Service Role
Sample request
GET https://management.azure.com/subscriptions/{subscription-id}/resourceGroups/rgcloudService/providers/Microsoft.Compute/cloudServices/aaaa/roleInstances/aaaaaaaaaaaaaaaaaaaaaaaaaaaaaa/remoteDesktopFile?api-version=2024-11-04
Sample response
{}
Definitions
| Name | Description |
|---|---|
|
Api |
Api error. |
|
Api |
Api error base. |
|
Cloud |
An error response from the Compute service. |
|
Inner |
Inner error details. |
ApiError
Api error.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| details |
The Api error details |
|
| innererror |
The Api inner error |
|
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
ApiErrorBase
Api error base.
| Name | Type | Description |
|---|---|---|
| code |
string |
The error code. |
| message |
string |
The error message. |
| target |
string |
The target of the particular error. |
CloudError
An error response from the Compute service.
| Name | Type | Description |
|---|---|---|
| error |
Api error. |
InnerError
Inner error details.
| Name | Type | Description |
|---|---|---|
| errordetail |
string |
The internal error message or exception dump. |
| exceptiontype |
string |
The exception type. |